package org.springblade.estate.feign;

import io.swagger.annotations.ApiParam;
import org.springblade.estate.dto.NoticeDTO;
import org.springblade.estate.entity.Notice;
import org.springblade.estate.vo.NoticeVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import javax.validation.Valid;
import java.util.List;

/**
 *  Feign
 *
 * @author lianghanqiang
 * @since 2021-04-29
 */
@FeignClient(value = "cyzh-estate",path = "/feign/notice")
public interface INoticeClient  {

	/**
	 * 详情
	 */
	@GetMapping("/detail")
    NoticeVO detail(@SpringQueryMap Notice notice);

	/**
	 * 查询
	 */
	@GetMapping("/list")
    List<NoticeVO> list(@SpringQueryMap Notice notice);

	/**
	 * 查询
	 */
	@GetMapping("/getListByResidentialId")
	List<Notice> getListByResidentialId(@SpringQueryMap NoticeDTO noticeDTO);



	/**
	 * 新增
	 */
	@PostMapping("/save")
	boolean save(@Valid @RequestBody Notice notice);

	/**
	 * 修改
	 */
	@PostMapping("/update")
    boolean update(@Valid @RequestBody Notice notice);

	/**
	 * 新增或修改
	 */
	@PostMapping("/submit")
    boolean submit(@Valid @RequestBody Notice notice);


	/**
	 * 删除
	 */
	@PostMapping("/remove")
    boolean remove(@ApiParam(value = "主键集合", required = true) @RequestParam String ids);

	@PostMapping("/publishNotice")
	boolean publishNotice(@RequestBody NoticeDTO noticeDTO);

	@PostMapping("/delete")
	boolean delete(@ApiParam(value = "主键集合", required = true) @RequestParam String ids);


}
